- Main Page
- Related Pages
- Modules
- Data Structures
- Files
- Examples

Functions
Edje Scale
Edje Object

Functions that deal with scaling objects. More...

## Functions
void | edje_scale_set (double scale)
| Set Edje's global scaling factor. More...
double | edje_scale_get (void)
| Retrieve Edje's global scaling factor. More...
#define | edje_obj_scale_set(scale, ret) EDJE_OBJ_ID(EDJE_OBJ_SUB_ID_SCALE_SET), EO_TYPECHECK(double, scale), EO_TYPECHECK(Eina_Bool *, ret)
| Set the scaling factor for a given Edje object. More...
#define | edje_obj_scale_get(ret) EDJE_OBJ_ID(EDJE_OBJ_SUB_ID_SCALE_GET), EO_TYPECHECK(double *, ret)
| Get a given Edje object's scaling factor. More...
Eina_Bool | edje_object_scale_set (Evas_Object *obj, double scale)
| Set the scaling factor for a given Edje object. More...
double | edje_object_scale_get (const Evas_Object *obj)
| Get a given Edje object's scaling factor. More...

## Detailed Description

Functions that deal with scaling objects.

Edje allows one to build scalable interfaces. Scaling factors, which are set to neutral (`1.0`) values by default (no scaling, actual sizes), are of two types: global and individual.

Scaling affects the values of minimum/maximum part sizes, which are multiplied by it. Font sizes are scaled, too.

## Macro Definition Documentation

#define edje_obj_scale_set | ( |  | scale,
|  |  | ret
| ) |  | EDJE_OBJ_ID(EDJE_OBJ_SUB_ID_SCALE_SET), EO_TYPECHECK(double, scale), EO_TYPECHECK(Eina_Bool *, ret)

Set the scaling factor for a given Edje object.

Since
  1.8

Parameters

  [in] | scale |
  [out] | ret |

See Also
  edje_object_scale_set

Referenced by edje_object_scale_set().

#define edje_obj_scale_get | ( |  | ret | ) | EDJE_OBJ_ID(EDJE_OBJ_SUB_ID_SCALE_GET), EO_TYPECHECK(double *, ret)

Get a given Edje object's scaling factor.

Since
  1.8

Parameters

  [out] | ret |

See Also
  edje_object_scale_get

Referenced by edje_object_scale_get().

## Function Documentation

void edje_scale_set | ( | double | scale | ) |

Set Edje's global scaling factor.

Parameters

  scale | The global scaling factor (the default value is `1.0`)

Edje's global scaling factor will affect all its objects which hadn't their individual scaling factors altered from the default value (which is zero). If they had it set differently, by edje_object_scale_set(), that factor will override the global one.

Warning
  Only parts which, at EDC level, had the `"scale"` property set to `1`, will be affected by this function. Check the complete syntax reference for EDC files.

See Also
  edje_scale_get().

Examples:
  edje-basic.c.

References edje_object_calc_force(), and EINA_LIST_FOREACH.

double edje_scale_get | ( | void |  | ) |

Retrieve Edje's global scaling factor.

Returns
  The global scaling factor

This function returns Edje's global scaling factor.

See Also
  edje_scale_set() for more details

Examples:
  edje-basic.c.

Eina_Bool edje_object_scale_set | ( | Evas_Object * | obj,
|  | double | scale
| ) |  |

Set the scaling factor for a given Edje object.

Parameters

  obj | A handle to an Edje object
  scale | The scaling factor (the default value is `0.0`, meaning individual scaling not set)

This function sets an individual scaling factor on the obj Edje object. This property (or Edje's global scaling factor, when applicable), will affect this object's part sizes. If `scale` is not zero, than the individual scaling will override any global scaling set, for the object `obj's` parts. Put it back to zero to get the effects of the global scaling again.

Warning
  Only parts which, at EDC level, had the `"scale"` property set to `1`, will be affected by this function. Check the complete syntax reference for EDC files.

See Also
  edje_object_scale_get()
  edje_scale_get() for more details

Examples:
  edje-basic.c.

References edje_obj_scale_set, and EINA_FALSE.

double edje_object_scale_get | ( | const Evas_Object * | obj | ) |

Get a given Edje object's scaling factor.

Parameters

  obj | A handle to an Edje object

This function returns the `individual` scaling factor set on the obj Edje object.

See Also
  edje_object_scale_set() for more details

Examples:
  edje-basic.c.

References edje_obj_scale_get.